"""
    ZFloatMenu
    ==========

JavaScript popup/dropdown menus in Zope
"""
# $Id: __init__.py,v 1.5 2002/07/18 23:10:00 adrian Exp $
#
# $Log: __init__.py,v $
# Revision 1.5  2002/07/18 23:10:00  adrian
# * Fixed bug where single quotes break the menu (Filtered out single quotes)
# * Added ZFMFolderMenu
# * Completed and tested ZFMFolderMenu
# * Added CMFPersonalFolderMenu
# * Completed and tested CMFPersonalFolderMenu
# * Added CMFActionsMenu
#
# Revision 1.4  2002/04/16 16:49:52  ahungate
# * Completed setting up rendering - Menus now appear.
# * Set the colour scheme to be compatible with Plone.
# * Added support for submenus that list folder contents - Needs work.
#
# Revision 1.3  2002/04/15 22:19:02  adrian
# *** empty log message ***
#
# Revision 1.2  2002/04/15 16:32:36  ahungate
# Using javascript menu from http://www.milonic.co.uk/menu to provide
# visuals. Started coding property editors, and some javascript autogeneration.
#
# Revision 1.1.1.1  2002/02/03 17:07:16  root
#
#
# Revision 1.2  2001/10/31 23:53:01  adrian
# no message
#
# Revision 1.1.1.1  2001/10/31 21:15:53  adrian
# Initial development
#
#
__version__ = '$Revision: 1.5 $'[11:-2]

from ImageFile import ImageFile

import ZFloatMenu

meta_types=(
    {'name': 'Z Float Menu', 'action': 'manage_addZFloatMenuForm'},
)

methods={
    'manage_addZFloatMenuForm'      : ZFloatMenu.manage_addZFloatMenuForm,
    'manage_addZFloatMenu'          : ZFloatMenu.manage_addZFloatMenu,
}

__ac_permissions__=(
    ('Add Z Float Menus',
        ('manage_addZFloatMenuForm', 'manage_addZFloatMenu',),
        ('Manager',),
    ),
)

misc_=  {
# HelpDesk icons
    'ZFloatMenu'    : ImageFile('www/ZFloatMenu.gif', globals()),
    'ZFMMenuItem'   : ImageFile('www/ZFMMenuItem.gif', globals()),
    'ZFMSubMenu'    : ImageFile('www/ZFMSubMenu.gif', globals()),
    'ZFMFolderMenu' : ImageFile('www/ZFMFolderMenu.gif', globals()),
    'CMFPersonalFolderMenu' : ImageFile('www/CMFPersonalFolderMenu.gif', globals()),
    'CMFActionsMenu': ImageFile('www/CMFActionsMenu.gif', globals()),
    'ZFMArrowR'     : ImageFile('www/ZFMArrowR.gif', globals()),
    'ZFMArrowD'     : ImageFile('www/ZFMArrowD.gif', globals()),


}

def initialize(context):
    """ """
    context.registerHelpTitle('Zope Floating Menus')
    context.registerHelp()

